Bug 364312 - Akregator loses articles after incorrect closes and mady days uptime
Summary: Akregator loses articles after incorrect closes and mady days uptime
Status: REPORTED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR critical with 30 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 13:19 UTC by temporarist
Modified: 2018-04-17 00:58 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description temporarist 2016-06-14 13:19:58 UTC
This bug appears only if akregator works many day in a row.  In this case, if akregator was close incorrect, for example, after reset computer, it shows restoring window, but if I click restore or not, some article since some date will lose. If I repeatedly  close akregator and launch it again, bug will not appear. Usually akregator works well for 3-4 days, but sometime it can work well longer. 

Now i use akregator 4.14.10, but I saw this bug in early version since kde 4.0

Reproducible: Couldn't Reproduce
Comment 1 Nicolas F. 2017-08-10 20:27:22 UTC
I've had the issue of Akregator corrupting the feed list too multiple times after rebooting following several days of uptime. Occasionally, it can't even restore the feed list at all, and further examination reveals that it it halfway overwrote something in the middle of its feedlist file.

Akregator 5.5.3 here.
Comment 2 Vishnu 2017-10-29 03:13:16 UTC
Mine crashes every-time I don't manually 'Quit' the application. If I just shut-down my machine, the next time I start-up, Akregator tells me it has crashed, and asks me if I want to 'Restore-session'. Choosing to do so deletes all my feed. This is a major issue.

I'm using version 5.6.2
Comment 3 Morbid 2017-11-11 22:06:47 UTC
It is still present in 17.08.3.
ArchLinux
Comment 4 Cyril Chaboisseau 2018-03-27 14:20:31 UTC
I'm also having regular crashes (way too many) on two different machines, one that has a bit more than 60 feeds, and the other has 24
the respective Archive/ directory is 744MB and 197MB

I used to have very seldom crashes on the past, but not a single one that has lead to a loss of all my feeds, with only Kde (plus 6 sub-feeds) and Debian with 2 sub-feeds

the quick and dirty way that I found to recover from this situation is the following:
- close/quit akregator
- go to the akregator data directory (it can be either ~/.local/share/akregator/data or ~/.local/share/akregator/data)
- restore the feeds.opml from any previous session or backups (the feeds should matche all the Archive/*.m4k files)

I'm using akregator 17.08.3 on Debian/Sid with the latest plasma 5.12.3


I really hope someone will find a way to mitigate this very useful application, or at least that crashes won't need to depend on backups (auto-recovery of feeds.opml based on the latest m4k files?!)
Comment 5 eemantsal 2018-04-16 15:47:27 UTC
I don't know how many reports needs this bug to be accepted as confirmed, but I'm goung to sum myself to the other users that have reported this buggy behavior.
Everytime Akregator crashes, and it does quite often, it deletes all my feeds and returns to its default configuration with only some KDE and Linux related sources.
Fortunately I have my sources saved in the cloud too, so it's nothing too grave for me, but as other user has written, this is a major bug not acceptable for a supposedly stable app.
Comment 6 Christoph Feck 2018-04-17 00:58:13 UTC
Which Akregator version? Comment #5 should be fixed with KDEPIM 5.7.3 (Applications 17.12.3 release).